%define upstream_name pybloomfiltermmap

Name:           python-%{upstream_name}
Version:        0.3.11
Release:        %mkrel 1
Summary:        A Bloom filter (bloomfilter) for Python built on mmap
Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/pybloomfiltermmap
Source0:        http://pypi.python.org/packages/source/p/pybloomfiltermmap/pybloomfiltermmap-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  openssl-devel

%description
The goal of `pybloomfiltermmap` is simple: to provide a fast, simple, scalable,
correct library for Bloom Filters in Python.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc AUTHORS CHANGELOG LICENSE pybloomfiltermmap.egg-info/
%{python_sitearch}/pybloomfilter.so
%{python_sitearch}/pybloomfiltermmap-%{version}-*.egg-info


%changelog
* Fri Aug 23 2013 guillomovitch <guillomovitch> 0.3.11-1.mga3
+ Revision: 470219
- backport from cauldron

* Tue Aug 20 2013 guillomovitch <guillomovitch> 0.3.11-1.mga4
+ Revision: 468157
- imported package python-pybloomfiltermmap

